run-node-test:
  image: node:latest
  stage: test
  cache:
    paths:
      - node_modules/
  before_script:
    - node -v # Print out node version for debugging
    - cd src/sample-node-remix-app
    - npm install
  script:
    - npm run test

verify-node-findings:
  image: badouralix/curl-jq
  stage: qa
  needs:
    - code_quality
  script:
    - echo "Expect code_quality job will have at least 1 eslint, 1 structure and 1 duplication findings"
    - |
      eslint_count=`jq 'map(select(.engine_name=="eslint")) | length' gl-code-quality-report.json`
      structure_count=`jq 'map(select(.engine_name=="structure")) | length' gl-code-quality-report.json`
      duplication_count=`jq 'map(select(.engine_name=="duplication")) | length' gl-code-quality-report.json`
      if [ "$eslint_count" == "0" ] || [ "$structure_count" == "0" ] || [ "$duplication_count" == "0" ]; then
        exit 1
      fi
